> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/android-docs/admin-feature/delete-a-section-media.md).

# Delete a Section/Media

In order to delete a specific section you will need to obtain the id from the MBSection objects you will retrieve through APIs.&#x20;

Then you will just have to call the static method

```java
MBurgerAdminTasks.deleteSection(this, section_id);
```

which will return back the section\_id, with the listener **`MBAdminApiDeleteSectionListener`** and from the callback bundle in “action” mode using the **`MBApiPayloadKeys.key_section_id`**.

Deleting a media from a section is pretty similar:

```java
MBurgerAdminTasks.deleteMedia(this, media_id);
```

where **`media_id`** is the id of the media element you wish to delete, it can be used with both files and images.

This method will return back the media\_id, with the listener **`MBAdminApiDeleteMediaListener`**, and from the callback bundle in “action” mode using the **`MBApiPayloadKeys.key_media_id`**.

It’s suggested to maintain the **`MBObjects`** (`MBImage` for example) instead of simple values in order to maintain the media\_id in a simpler way.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/android-docs/admin-feature/delete-a-section-media.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
